org.eclipse.wst.jsdt.chromium

## Class Breakpoint.Target

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.Breakpoint.Target

Direct Known Subclasses:
  Breakpoint.Target.ScriptId, Breakpoint.Target.ScriptName

Enclosing interface:
  Breakpoint

    public abstract static class Breakpoint.Target
    extends java.lang.Object

A reference to some JavaScript text that you can set breakpoints on. The reference may be in form of script name, script id etc. This type is essentially an Algebraic Type with several cases. Additional cases are provided in form of optional extensions.

See Also:
  `Breakpoint.Target.ScriptName`, `Breakpoint.Target.ScriptId`, `BreakpointTypeExtension`

### Nested Class Summary

Nested Classes
`static class` `Breakpoint.Target.ScriptId` A target that refers to a script by its id.
`static class` `Breakpoint.Target.ScriptName` A target that refers to a script by its name.
`static interface` `Breakpoint.Target.Visitor<R>`

### Constructor Summary

Constructors
Constructor and Description
`Target()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract <R> R` `accept(Breakpoint.Target.Visitor<R> visitor)` Dispatches call on the actual Target type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Target

    public Target()

### Method Detail

#### accept

    public abstract <R> R accept(Breakpoint.Target.Visitor<R> visitor)

Dispatches call on the actual Target type.

Parameters:
  `visitor` - user-provided `Breakpoint.Target.Visitor` that may also implement some additional interfaces (for extended types) that is checked on runtime
See Also:
  `BreakpointTypeExtension`